Bug 530213 - Assertion failure in gtk_text_view_validate_onscreen running ies4linux-gtk.py
Assertion failure in gtk_text_view_validate_onscreen running ies4linux-gtk.py
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: pygtk2 (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Colin Walters
Fedora Extras Quality Assurance
abrt_hash:86fd4f0a84f7c1d22384deef87e...
:
: 530229 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-10-21 17:46 EDT by Adam Plumb
Modified: 2011-02-16 13:12 EST (History)
21 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-04 02:24:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (5.61 KB, text/plain)
2009-10-21 17:46 EDT, Adam Plumb
no flags Details
new backtrace (5.61 KB, text/plain)
2009-10-21 18:51 EDT, Adam Plumb
no flags Details

  None (edit)
Description Adam Plumb 2009-10-21 17:46:33 EDT
abrt detected a crash.


How to reproduce
-----
1.
2.
3.


Additional information
======


Attached files
----
backtrace

cmdline
-----
python /home/adam/Downloads/ies4linux-2.99.0.1/ui/pygtk/ies4linux-gtk.py 


component
-----
python


executable
-----
/usr/bin/python


kernel
-----
2.6.31.1-56.fc12.i686.PAE


package
-----
python-2.6.2-2.fc12


reason
-----
Process was terminated by signal 11
Comment 1 Adam Plumb 2009-10-21 17:46:37 EDT
Created attachment 365609 [details]
File: backtrace
Comment 2 Dave Malcolm 2009-10-21 18:03:39 EDT
Thank you for taking the time to report this bug report. Unfortunately, that stack trace is not very useful in determining the cause of the crash, because there is not a symbolic stack trace. In order to get a symbolic stack trace, the appropriate debuginfo packages need to be installed. In order to accomplish this, you can run the command:

  debuginfo-install gtk2

Please see http://fedoraproject.org/wiki/StackTraces for more information about stack traces.

Is anything emitted on the terminal when you run this program? (e.g. error messages)
Comment 3 Adam Plumb 2009-10-21 18:19:48 EDT
The error I get is:

**
Gtk:ERROR:gtktextview.c:3535:gtk_text_view_validate_onscreen: assertion failed: (text_view->onscreen_validated)
ui/pygtk/python-gtk.sh: line 6: 20598 Aborted                 (core dumped) python "$IES4LINUX"/ui/pygtk/ies4linux-gtk.py

BTW, it doesn't happen every time, but it is fairly often.  This is ies4linux-2.99.0.1 in wine 1.29 (from rpmfusion).  I will try to get a better stacktrace
Comment 4 Adam Plumb 2009-10-21 18:51:54 EDT
Created attachment 365620 [details]
new backtrace
Comment 5 Adam Plumb 2009-10-21 18:52:23 EDT
I tried sending again from ABRT, but it created a new issue at https://bugzilla.redhat.com/show_bug.cgi?id=530229.

I've attached a new backtrace
Comment 6 Dave Malcolm 2009-10-21 18:56:20 EDT
*** Bug 530229 has been marked as a duplicate of this bug. ***
Comment 7 Dave Malcolm 2009-10-21 18:58:00 EDT
Note to self: looks similar to bug 528311.  May be a bug in the application.
Comment 8 Bug Zapper 2009-11-16 09:00:17 EST
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Bug Zapper 2010-11-04 05:17:22 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 10 Bug Zapper 2010-12-04 02:24:36 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 11 gabrielwarm 2011-02-16 13:12:16 EST
Hello, so i am reopening this bug because i'm having exactly the same bug with my c++/gtkmm program, which i wrote and ran under fedora 14 2.6.35.11-83.fc14.i686.
( Gtk::TextBuffers seem really buggy, or maybe i didn't understand the way to put text in them using the iterators the right way. Actually i'm not directly using them, i am just letting gtk do it ). so the bugtrace i get with gdb is : 


**
Gtk:ERROR:gtktextview.c:3570:gtk_text_view_validate_onscreen: assertion failed: (text_view->onscreen_validated)

Program received signal SIGABRT, Aborted.
0x00110416 in __kernel_vsyscall ()
(gdb) 

Also, maybe i should precise that i am using a posix thread to edit the textbuffer ( the thread listens for some network events and the puts the data received into the textbuffer ). So there it is, this bug again :).

Note You need to log in before you can comment on or make changes to this bug.